Summary: Stub rpm to set up LONCAPA dependencies
Name: LONCAPA-prerequisites
Version: 1
Release: 29.ol9
License: GPL
Group: Applications/Internet
URL: www.loncapa.org
Source0: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch
Requires: httpd gd perl perl-GD perl-GD-Barcode perl-GDGraph perl-GD-Graph3d perl-GDTextUtil ImageMagick ImageMagick-perl mod_perl mariadb mariadb-server perl-DBD-MySQL perl-DBI perl-Algorithm-Diff perl-Authen-Krb5 perl-Authen-PAM perl-Crypt-DES perl-Crypt-IDEA perl-Event perl-HTML-Parser_loncapa perl-HTML-Tree perl-IO-Socket-SSL perl-IO-stringy perl-Locale-Maketext perl-MailTools perl-Math-Cephes perl-Math-Random perl-Net-PH perl-Net-SSLeay perl-OLE-Storage_Lite perl-Parse-RecDescent perl-Pod-POM perl-PostScript-Simple perl-Safe-Hole perl-Spreadsheet-WriteExcel perl-String-Similarity perl-String-CRC32 perl-Text-Aspell perl-Text-Query perl-TimeDate aspell perl-MIME-Lite perl-MIME-Types groff tar zip unzip perl-libwww-perl ghostscript chrony at gnuplot which perl-Cache-Memcached memcached mailx perl-DateManip perl-Expect perl-IO-Tty maxima maxima-runtime-sbcl perl-DateTime perl-Authen-Captcha perl-XML-DOM perl-File-MMagic perl-RTF-HTMLConverter perl-Image-Size perl-Image-Info psutils texlive texlive-latex texlive-dvips texlive-acrotex perl-CAM-PDF R-core R-phpSerialize perl-Tie-IxHash-Easy R-alr3 R-car R-Hmisc R-leaps R-lmtest R-qAnalyst R-quadprog R-SuppDists R-zoo perl-XML-LibXML perl-CGI perl-Tree perl-TermReadKey perl-Captcha-reCAPTCHA aspell-en aspell-de aspell-es aspell-fr aspell-he aspell-pt aspell-tr perl-Locale-Codes texlive-multirow texlive-wrapfig texlive-metapost-bin texlive-metapost texlive-dejavu texlive-xtab bc ca-certificates perl-LWP-Protocol-https perl-aliased perl-JSON-DWIW perl-enum perl-Try-Tiny perl-Crypt-Eksblowfish perl-Net-OAuth perl-Digest-SHA perl-File-Slurp texlive-actuarialangle perl-Switch perl-Math-Calculus-Expression_loncapa perl-Archive-Zip perl-Number-FormatEng perl-Sys-Hostname-FQDN perl-File-ReadBackwards perl-Text-Unidecode perl-Net-CIDR mod_ssl perl-Crypt-OpenSSL-X509 perl-LWP-UserAgent-DNS-Hosts perl-DateTime-Format-x509 perl-UUID-Tiny perl-Short-URL perl-Math-Round
# Requirements for compilation of CAPA
Requires: bison flex flex-devel swig
# Next require is just for installation of pwauth in the install script.
Requires: gcc patch
Requires: gnuplot >= 4.4
Requires: perl-XML-LibXML >= 2.0018
Requires: perl-XML-SAX >= 0.96
Requires: perl-IO-Socket-SSL >= 1.79
Requires: perl-Net-SSLeay >= 1.50
Conflicts: mod_throttle mod_bandwidth
# Notes on requirements: Net::SMTP/perl-libnet is provided in perl-5.8.3
%define debug_package %{nil}

%description
LONCAPA-prerequisites configures a system to run LON-CAPA.

%prep
%setup -q

%build

%install
make PREFIX=$RPM_BUILD_ROOT%{_prefix}

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README


%changelog
* Fri Apr 28 2023 Stuart Raeburn <raeburn@lon-capa.org> (1.29)
- Add perl-UUID-Tiny perl-Short-URL perl-Math-Round

* Fri Apr 28 2023 Stuart Raeburn <raeburn@lon-capa.org> (1.28)
- Add perl-DateTime-Format-x509

* Fri Apr 28 2023 Stuart Raeburn <raeburn@lon-capa.org> (1.27)
- Add mod_ssl perl-Crypt-OpenSSL-X509 perl-LWP-UserAgent-DNS-Hosts

* Fri Apr 28 2023 Stuart Raeburn <raeburn@lon-capa.org> (1.26)
- Initial build.

